App\Library\Amazon\Classes\CameraPhoto:
    xml_root_name: CameraPhoto
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\CameraPhoto\ProductTypeAType
        manufacturer:
            expose: true
            access_type: public_method
            serialized_name: Manufacturer
            accessor:
                getter: getManufacturer
                setter: setManufacturer
            type: string
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: string
        mfrPartNumber:
            expose: true
            access_type: public_method
            serialized_name: MfrPartNumber
            accessor:
                getter: getMfrPartNumber
                setter: setMfrPartNumber
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        itemsIncluded:
            expose: true
            access_type: public_method
            serialized_name: ItemsIncluded
            accessor:
                getter: getItemsIncluded
                setter: setItemsIncluded
            type: string
        keywords:
            expose: true
            access_type: public_method
            serialized_name: Keywords
            accessor:
                getter: getKeywords
                setter: setKeywords
            xml_list:
                inline: true
                entry_name: Keywords
            type: array<string>
        platinumKeywords:
            expose: true
            access_type: public_method
            serialized_name: PlatinumKeywords
            accessor:
                getter: getPlatinumKeywords
                setter: setPlatinumKeywords
            xml_list:
                inline: true
                entry_name: PlatinumKeywords
            type: array<string>
        audioInput:
            expose: true
            access_type: public_method
            serialized_name: AudioInput
            accessor:
                getter: getAudioInput
                setter: setAudioInput
            xml_list:
                inline: true
                entry_name: AudioInput
            type: array<string>
        autoFocusTechnology:
            expose: true
            access_type: public_method
            serialized_name: AutoFocusTechnology
            accessor:
                getter: getAutoFocusTechnology
                setter: setAutoFocusTechnology
            xml_list:
                inline: true
                entry_name: AutoFocusTechnology
            type: array<string>
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            xml_list:
                inline: true
                entry_name: CompatibleDevices
            type: array<string>
        compatibleMountings:
            expose: true
            access_type: public_method
            serialized_name: CompatibleMountings
            accessor:
                getter: getCompatibleMountings
                setter: setCompatibleMountings
            xml_list:
                inline: true
                entry_name: CompatibleMountings
            type: array<string>
        deviceType:
            expose: true
            access_type: public_method
            serialized_name: DeviceType
            accessor:
                getter: getDeviceType
                setter: setDeviceType
            type: string
        displayTechnology:
            expose: true
            access_type: public_method
            serialized_name: DisplayTechnology
            accessor:
                getter: getDisplayTechnology
                setter: setDisplayTechnology
            type: string
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        filmSpeedRange:
            expose: true
            access_type: public_method
            serialized_name: FilmSpeedRange
            accessor:
                getter: getFilmSpeedRange
                setter: setFilmSpeedRange
            type: string
        finderscope:
            expose: true
            access_type: public_method
            serialized_name: Finderscope
            accessor:
                getter: getFinderscope
                setter: setFinderscope
            type: string
        formFactor:
            expose: true
            access_type: public_method
            serialized_name: FormFactor
            accessor:
                getter: getFormFactor
                setter: setFormFactor
            xml_list:
                inline: true
                entry_name: FormFactor
            type: array<string>
        guideNumber:
            expose: true
            access_type: public_method
            serialized_name: GuideNumber
            accessor:
                getter: getGuideNumber
                setter: setGuideNumber
            type: string
        hardwarePlatform:
            expose: true
            access_type: public_method
            serialized_name: HardwarePlatform
            accessor:
                getter: getHardwarePlatform
                setter: setHardwarePlatform
            type: string
        hasImageStabilizer:
            expose: true
            access_type: public_method
            serialized_name: HasImageStabilizer
            accessor:
                getter: getHasImageStabilizer
                setter: setHasImageStabilizer
            type: boolean
        imageArea:
            expose: true
            access_type: public_method
            serialized_name: ImageArea
            accessor:
                getter: getImageArea
                setter: setImageArea
            type: string
        itemDisplayDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayDiameter
            accessor:
                getter: getItemDisplayDiameter
                setter: setItemDisplayDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayDepth:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayDepth
            accessor:
                getter: getItemDisplayDepth
                setter: setItemDisplayDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayHeight:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayHeight
            accessor:
                getter: getItemDisplayHeight
                setter: setItemDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayLength:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayLength
            accessor:
                getter: getItemDisplayLength
                setter: setItemDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDisplayWeight:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayWeight
            accessor:
                getter: getItemDisplayWeight
                setter: setItemDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        itemDisplayWidth:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayWidth
            accessor:
                getter: getItemDisplayWidth
                setter: setItemDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemThickness:
            expose: true
            access_type: public_method
            serialized_name: ItemThickness
            accessor:
                getter: getItemThickness
                setter: setItemThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        lensCoverage:
            expose: true
            access_type: public_method
            serialized_name: LensCoverage
            accessor:
                getter: getLensCoverage
                setter: setLensCoverage
            type: string
        lensSystemSpecialFunctions:
            expose: true
            access_type: public_method
            serialized_name: LensSystemSpecialFunctions
            accessor:
                getter: getLensSystemSpecialFunctions
                setter: setLensSystemSpecialFunctions
            xml_list:
                inline: true
                entry_name: LensSystemSpecialFunctions
            type: array<string>
        lightSensitivity:
            expose: true
            access_type: public_method
            serialized_name: LightSensitivity
            accessor:
                getter: getLightSensitivity
                setter: setLightSensitivity
            type: string
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        maximumApertureRange:
            expose: true
            access_type: public_method
            serialized_name: MaximumApertureRange
            accessor:
                getter: getMaximumApertureRange
                setter: setMaximumApertureRange
            type: string
        maximumHeight:
            expose: true
            access_type: public_method
            serialized_name: MaximumHeight
            accessor:
                getter: getMaximumHeight
                setter: setMaximumHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumManufacturerWeightRecommended:
            expose: true
            access_type: public_method
            serialized_name: MaximumManufacturerWeightRecommended
            accessor:
                getter: getMaximumManufacturerWeightRecommended
                setter: setMaximumManufacturerWeightRecommended
            type: App\Library\Amazon\Classes\WeightIntegerDimensionType
        mediaType:
            expose: true
            access_type: public_method
            serialized_name: MediaType
            accessor:
                getter: getMediaType
                setter: setMediaType
            xml_list:
                inline: true
                entry_name: MediaType
            type: array<string>
        memoryStorageCapacity:
            expose: true
            access_type: public_method
            serialized_name: MemoryStorageCapacity
            accessor:
                getter: getMemoryStorageCapacity
                setter: setMemoryStorageCapacity
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        memoryTechnology:
            expose: true
            access_type: public_method
            serialized_name: MemoryTechnology
            accessor:
                getter: getMemoryTechnology
                setter: setMemoryTechnology
            type: string
        microphoneOperationMode:
            expose: true
            access_type: public_method
            serialized_name: MicrophoneOperationMode
            accessor:
                getter: getMicrophoneOperationMode
                setter: setMicrophoneOperationMode
            xml_list:
                inline: true
                entry_name: MicrophoneOperationMode
            type: array<string>
        minFocalRange:
            expose: true
            access_type: public_method
            serialized_name: MinFocalRange
            accessor:
                getter: getMinFocalRange
                setter: setMinFocalRange
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumHeight:
            expose: true
            access_type: public_method
            serialized_name: MinimumHeight
            accessor:
                getter: getMinimumHeight
                setter: setMinimumHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        mountingType:
            expose: true
            access_type: public_method
            serialized_name: MountingType
            accessor:
                getter: getMountingType
                setter: setMountingType
            type: string
        opticalSensorResolution:
            expose: true
            access_type: public_method
            serialized_name: OpticalSensorResolution
            accessor:
                getter: getOpticalSensorResolution
                setter: setOpticalSensorResolution
            type: App\Library\Amazon\Classes\PixelDimensionType
        opticalSensorSize:
            expose: true
            access_type: public_method
            serialized_name: OpticalSensorSize
            accessor:
                getter: getOpticalSensorSize
                setter: setOpticalSensorSize
            type: string
        opticalSensorTechnology:
            expose: true
            access_type: public_method
            serialized_name: OpticalSensorTechnology
            accessor:
                getter: getOpticalSensorTechnology
                setter: setOpticalSensorTechnology
            type: string
        rangefinderType:
            expose: true
            access_type: public_method
            serialized_name: RangefinderType
            accessor:
                getter: getRangefinderType
                setter: setRangefinderType
            type: string
        remoteControlDescription:
            expose: true
            access_type: public_method
            serialized_name: RemoteControlDescription
            accessor:
                getter: getRemoteControlDescription
                setter: setRemoteControlDescription
            type: string
        removableStorageInterface:
            expose: true
            access_type: public_method
            serialized_name: RemovableStorageInterface
            accessor:
                getter: getRemovableStorageInterface
                setter: setRemovableStorageInterface
            type: string
        rollQuantity:
            expose: true
            access_type: public_method
            serialized_name: RollQuantity
            accessor:
                getter: getRollQuantity
                setter: setRollQuantity
            type: string
        shootingModes:
            expose: true
            access_type: public_method
            serialized_name: ShootingModes
            accessor:
                getter: getShootingModes
                setter: setShootingModes
            xml_list:
                inline: true
                entry_name: ShootingModes
            type: array<string>
        supportedImageType:
            expose: true
            access_type: public_method
            serialized_name: SupportedImageType
            accessor:
                getter: getSupportedImageType
                setter: setSupportedImageType
            xml_list:
                inline: true
                entry_name: SupportedImageType
            type: array<string>
        videoInput:
            expose: true
            access_type: public_method
            serialized_name: VideoInput
            accessor:
                getter: getVideoInput
                setter: setVideoInput
            xml_list:
                inline: true
                entry_name: VideoInput
            type: array<string>
        videoInputFormat:
            expose: true
            access_type: public_method
            serialized_name: VideoInputFormat
            accessor:
                getter: getVideoInputFormat
                setter: setVideoInputFormat
            xml_list:
                inline: true
                entry_name: VideoInputFormat
            type: array<string>
        videoInputSpecialEffects:
            expose: true
            access_type: public_method
            serialized_name: VideoInputSpecialEffects
            accessor:
                getter: getVideoInputSpecialEffects
                setter: setVideoInputSpecialEffects
            xml_list:
                inline: true
                entry_name: VideoInputSpecialEffects
            type: array<string>
